Bug 56341 - [Ubuntu 10.04.4 LTS 32-bit] SiS 6326 AGP graphics on a mainboard with Intel 815E chipset will not boot from a hard drive, but is okay with DVD boot
Summary: [Ubuntu 10.04.4 LTS 32-bit] SiS 6326 AGP graphics on a mainboard with Intel 8...
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/SiS (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: highest critical
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL: https://bugs.launchpad.net/ubuntu/+so...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-24 05:22 UTC by mypersonalmailbox1
Modified: 2018-08-10 20:47 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
SiS 6326 AGP and Intel 815E log files from Ubuntu 10.04.4 LTS 32-bit (57.65 KB, application/x-gzip)
2012-10-24 05:33 UTC, mypersonalmailbox1
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mypersonalmailbox1 2012-10-24 05:22:14 UTC
Hi,

I will like to report that when I try to boot Ubuntu 10.04.4 LTS 32-bit from a hard drive on a system with Diamond Multimedia Speedstar A50 (SiS 6326 AGP 8MB SDRAM, AGP 3.3V) graphics card and Intel D815EAA2 mainboard (Intel 815E chipset), the system will crash during boot in a few seconds.
Floppy disk drive indicator light goes on and stays on.
I won't even see the Ubuntu graphical logo on the screen.
However, if I boot Ubuntu 10.04.4 LTS 32-bit from a DVD, then it will boot fine.
I also happened to own a PCI version of SiS 6326 AGP graphics card called Palit AGP6326 graphics card (SiS 6326 AGP, PCI card, 4 MB FPM or EDO DRAM).
This card will boot fine with either DVD boot or hard drive boot.
Based on these results, I suspect there is a bug in either Intel AGP GART device driver or Intel PATA device driver for ICH2 southbridge.


System Configuration 1:

- Ubuntu 10.04.4 LTS 32-bit
  * All updates issued as of 10/15/2012 have been applied.
- Intel Pentium III 1 GHz
- Intel D815EEA2 mainboard
  * BIOS Version P21-0039 (last BIOS release)
  * Power -> ACPI -> ACPI: S3 State
  * Power -> ACPI -> Video RePOST: Off
- 512 MB PC133 SDRAM
  * 256 MB module
  * 128 MB module
  * 128 MB module
- Diamond Multimedia Speedstar A50 graphics card
  * SiS 6236 AGP
  * Chip Revision H0
  * 3.3V AGP card
  * 8 MB SDRAM
  * VGA BIOS Version 1.22a
- Gateway EV700 17 inch VGA monitor
- Seagate ST320414A 20 GB PATA hard drive
- Pioneer DVR-105 PATA DVD-RW drive
- Toshiba XM-6402B PATA CD-ROM drive
- PS/2 keyboard
- PS/2 mouse


System Configuration 2:

- Palit 6326AGP graphics card
  * SiS 6236 AGP
  * Chip Revision H0
  * 5V PCI card
  * 4 MB FPM or EDO DRAM
  * VGA BIOS Version 1.28q
- Other than the graphics card, the system configuration is identical to System Configuration 1.


Note that if I am correct, there are SiS 6326/6326 AGP/6326 DVD.
Both of the graphics card had a SiS 6326 AGP chip even though one of them was a PCI card.

Regards,

fpgahardwareengineer
Comment 1 mypersonalmailbox1 2012-10-24 05:33:55 UTC
Created attachment 68980 [details]
SiS 6326 AGP and Intel 815E log files from Ubuntu 10.04.4 LTS 32-bit
Comment 2 mypersonalmailbox1 2012-10-24 05:35:23 UTC
Hi,

The archive file uploaded is a collection of log files from Ubuntu 10.04.4 LTS 32-bit's ubuntu-bug.
Because I can upload only one file at a time, I decided to zip it into an archive file.

Regards,

fpgahardwareengineer
Comment 3 GitLab Migration User 2018-08-10 20:47:36 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/driver/xf86-video-sis/issues/10.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.